Santalucia04SingleBulgeLoop
Date: 2014-08-08

melting.patternModels.singleBulge

## Class Santalucia04SingleBulgeLoop

- java.lang.Object
- - melting.patternModels.PatternComputation
  - - melting.patternModels.longBulge.Santalucia04LongBulgeLoop
    - - melting.patternModels.singleBulge.Santalucia04SingleBulgeLoop

- All Implemented Interfaces:
    NamedMethod, PatternComputationMethod

      public class Santalucia04SingleBulgeLoop
      extends Santalucia04LongBulgeLoop
      implements NamedMethod

  This class represents the single bulge loop model san04. It extends Santalucia04LongBulgeLoop. Santalucia et al (2004). Annu. Rev. Biophys. Biomol. Struct 33 : 415-440

- - ### Field Summary

    - ### Fields inherited from class melting.patternModels.longBulge.Santalucia04LongBulgeLoop

      `defaultFileName, formulaEnthalpy, formulaEntropy`

    - ### Fields inherited from class melting.patternModels.PatternComputation

      `collector, fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Santalucia04SingleBulgeLoop()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `computeThermodynamics(NucleotidSequences sequences, int pos1, int pos2, ThermoResult result)`
    `java.lang.String` | `getName()` Gets the full name of the method.
    `boolean` | `isMissingParameters(NucleotidSequences sequences, int pos1, int pos2)` Check if one thermodynamic parameter is missing to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2.
    `void` | `loadData(java.util.HashMap<java.lang.String,java.lang.String> options)` To load the necessary thermodynamic parameters of the implemented class.

    - ### Methods inherited from class melting.patternModels.longBulge.Santalucia04LongBulgeLoop

      `correctPositions, initialiseFileName, isApplicable`

    - ### Methods inherited from class melting.patternModels.PatternComputation

      `getCollector, getData, getDataFileName, loadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Santalucia04SingleBulgeLoop

          public Santalucia04SingleBulgeLoop()

  - ### Method Detail

    - #### computeThermodynamics

          public ThermoResult computeThermodynamics(NucleotidSequences sequences,
                                           int pos1,
                                           int pos2,
                                           ThermoResult result)

      Specified by:
        `computeThermodynamics` in interface `PatternComputationMethod`
      Overrides:
        `computeThermodynamics` in class `Santalucia04LongBulgeLoop`
      Parameters:
        `sequences` - which contains the sequences entered by the user.
        `result` - which contains the computed enthalpy, entropy and melting temperature.
      Returns:
        ThermoResult result which contains the incremented enthalpy and entropy values.

    - #### isMissingParameters

          public boolean isMissingParameters(NucleotidSequences sequences,
                                    int pos1,
                                    int pos2)

      Description copied from interface: `PatternComputationMethod`
      Check if one thermodynamic parameter is missing to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2.
      Specified by:
        `isMissingParameters` in interface `PatternComputationMethod`
      Overrides:
        `isMissingParameters` in class `Santalucia04LongBulgeLoop`
      Parameters:
        `sequences` - which contains the sequences entered by the user.
      Returns:
        false if one necessary thermodynamic parameter is missing.

    - #### loadData

          public void loadData(java.util.HashMap<java.lang.String,java.lang.String> options)

      Description copied from interface: `PatternComputationMethod`
      To load the necessary thermodynamic parameters of the implemented class.
      Specified by:
        `loadData` in interface `PatternComputationMethod`
      Overrides:
        `loadData` in class `PatternComputation`
      Parameters:
        `options` - which contains the current options. (default options and options entered by the user)

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Overrides:
        `getName` in class `Santalucia04LongBulgeLoop`
      Returns:
        The full name of the method.